Skip to main content
GET
/
v1
/
epochs
/
current
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.epochs.getCurrent();

  console.log(result);
}

run();
{
  "success": true,
  "epoch": {
    "epoch_id": "<string>",
    "mmr_root": "<string>",
    "leaf_count": 123,
    "created_at": 123,
    "status": "open",
    "project_id": "<string>",
    "finalized_at": 123,
    "chain_tx": "<string>",
    "error": "<string>",
    "start_leaf_index": 123,
    "end_leaf_index": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Query Parameters

project_id
string

Filter by project identifier

Response

OK

success
boolean
required
epoch
object
required